%define libdir_link %_qt4dir/lib

Name: qca2
%define major 2
%define minor 0
%define bugfix 2
Version: %major.%minor.%bugfix
Release: alt0.M50.1

Group: Networking/Instant messaging
Summary: QCA - Qt Cryptographic Architecture
License: GPL

Requires: lib%name = %version-%release

Source: qca-%version.tar.bz2
Patch1: qca-2.0.0-alt-no-plugins-dir.patch
Patch2: qca-2.0.0-alt-paths.patch

BuildRequires(pre): libqt4-devel
BuildRequires: cmake gcc-c++ libstdc++-devel xorg-x11-devel ca-certificates

%package -n lib%name
Summary: QCA - Qt Cryptographic Architecture library
Summary(ru_RU.UTF-8): Файлы, необходимые для разработки приложений с использованием Qt Crytographic Architecture (QCA)
Group: System/Libraries
Requires: ca-certificates
Requires: libqt4-core >= %{get_version libqt4-core}

%package -n lib%name-devel
Summary: Header files for developing apps which will use Qt Crytographic Architecture (QCA)
Summary(ru_RU.UTF-8): Файлы, необходимые для разработки приложений с использованием Qt Crytographic Architecture (QCA)
Group: Development/KDE and QT
Requires: libqt4-devel
Requires: lib%name = %version-%release

%description
  This library provides an easy API for the following features: SSL/TLS,
X509, SASL, RSA, Hashing (SHA1, MD5), Ciphers (BlowFish, 3DES, AES)
  Functionality is supplied via plugins.  This is useful for avoiding
dependence on a particular crypto library and makes upgrading easier,
as there is no need to recompile your application when adding or
upgrading a crypto plugin.  Also, by pushing crypto functionality into
plugins, your application is free of legal issues, such as export
regulation.
%description -l ru_RU.UTF-8
  Эта библиотека предоставляет простой API для следующего: SSL/TLS, X509,
SASL, RSA, Hashing (SHA1, MD5), Ciphers (BlowFish, 3DES, AES)
  Функциональность дополняется с помощью плагинов. Это удобно, так как
избегается зависимость на конкретную криптографическую библиотеку и это
делает обновления проще, так как нет необходимости перекомпилировать
использующее QCA приложение при добавлении или обновлении
крипто-плагина. Также, так как функциональность криптографии вынесена на
уровень плагинов, приложение избавляется от возможных ограничений,
накладываемых законом, например, экспортных ограничений.
%description -n lib%name
  This library provides an easy API for the following features: SSL/TLS,
X509, SASL, RSA, Hashing (SHA1, MD5), Ciphers (BlowFish, 3DES, AES)
  Functionality is supplied via plugins.  This is useful for avoiding
dependence on a particular crypto library and makes upgrading easier,
as there is no need to recompile your application when adding or
upgrading a crypto plugin.  Also, by pushing crypto functionality into
plugins, your application is free of legal issues, such as export
regulation.
%description -n lib%name -l ru_RU.UTF-8
  Эта библиотека предоставляет простой API для следующего: SSL/TLS, X509,
SASL, RSA, Hashing (SHA1, MD5), Ciphers (BlowFish, 3DES, AES)
  Функциональность дополняется с помощью плагинов. Это удобно, так как
избегается зависимость на конкретную криптографическую библиотеку и это
делает обновления проще, так как нет необходимости перекомпилировать
использующее QCA приложение при добавлении или обновлении
крипто-плагина. Также, так как функциональность криптографии вынесена на
уровень плагинов, приложение избавляется от возможных ограничений,
накладываемых законом, например, экспортных ограничений.
%description -n lib%name-devel
This package contains the header files needed to develop programs
that use QCA.
%description -n lib%name-devel -l ru_RU.UTF-8
Этот пакет содержит файлы заголовков, необходимые для разработки
приложений, использующих QCA.


%prep
%setup -q -n qca-%version
#%patch1 -p1
#%patch2 -p1
%define _optlevel s


%build
export QTDIR=%_qt4dir
#%add_optflags -DNDEBUG
./configure \
    --release \
    --no-separate-debug-info \
    --prefix=%_prefix \
    --bindir=%_bindir \
    --datadir=%_datadir \
    --libdir=%libdir_link \
    --includedir=%_includedir/qt4 \
    --certstore-path=%_datadir/ca-certificates/ca-bundle.crt
cat >>src/src.pro <<__EOF__
QMAKE_CFLAGS += %optflags
QMAKE_CXXFLAGS += %optflags
__EOF__
cat >>confapp.pri <<__EOF__
QMAKE_CFLAGS += %optflags
QMAKE_CXXFLAGS += %optflags
__EOF__

%make_build


%install
%make INSTALL_ROOT=%buildroot install

#[ -f %buildroot/%_libdir/pkgconfig/qca.pc ] \
#    && mv %buildroot/%_libdir/pkgconfig/qca.pc %buildroot/%_libdir/pkgconfig/qca2.pc

[ -d %buildroot/%libdir_link/pkgconfig ] \
    && mv %buildroot/%libdir_link/pkgconfig %buildroot/%_libdir

#mkdir -p %buildroot/%libdir_link
#pushd %buildroot/%_libdir
#for f in lib*.so.*
#do
#    ln -s `relative %buildroot/%_libdir/$f %buildroot/%libdir_link/$f` %buildroot/%libdir_link/$f
#done
#popd
#mv %buildroot/%_libdir/*.so %buildroot/%libdir_link/

pushd %buildroot/%libdir_link
for f in lib*.so.*
do
    mv %buildroot/%libdir_link/$f %buildroot/%_libdir/
    ln -s `relative %buildroot/%_libdir/$f %buildroot/%libdir_link/$f` %buildroot/%libdir_link/$f
done
popd


%files
%_bindir/*
%_man1dir/*

%files -n lib%name
%_libdir/*.so.*
%doc README INSTALL COPYING TODO

%files -n lib%name-devel
%libdir_link/*.so
%libdir_link/*.so.*
%_libdir/pkgconfig/qca2.pc
%_datadir/qt4/mkspecs/features/crypto.prf
%_includedir/qt4/QtCrypto/

%changelog
* Fri Jun 26 2009 Sergey V Turchin <zerg@altlinux.org> 2.0.2-alt0.M50.1
- build for M50

* Fri Jun 26 2009 Sergey V Turchin <zerg@altlinux.org> 2.0.2-alt1
- new version

* Tue Mar 31 2009 Sergey V Turchin <zerg@altlinux.org> 2.0.1-alt1.M50.1
- built for M50

* Tue Mar 31 2009 Sergey V Turchin <zerg@altlinux.org> 2.0.1-alt2
- fix to work QT_CONFIG += crypto

* Wed Aug 06 2008 Sergey V Turchin <zerg at altlinux dot org> 2.0.1-alt1
- new version

* Wed Mar 19 2008 Sergey V Turchin <zerg at altlinux dot org> 2.0.0-alt2
- fix pkgconfig file

* Tue Mar 18 2008 Sergey V Turchin <zerg at altlinux dot org> 2.0.0-alt1
- initial specfile
